PHP Manual
Prev |  | Next

# DomElement->get_attribute()

(no version information, might be only in CVS)

DomElement->get_attribute() -- Returns the value of the given attribute

## Description

class DomElement {
string get_attribute ( string name )
}

Returns the value of the given attribute in the current element.

Since PHP 4.3, if no attribute with given name is found, an empty string is returned.

## Parameters

name

  The name of the seeked attribute. This parameter is case sensitive.

## Return Values

Returns the name of the attribute as a string or an empty string if no attribute with the given name is found.

## Examples

Example 1. Getting the value of an attribute

`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } // get chapter $root = $dom->document_element(); echo $root->get_attribute('language'); // en ?>`

## Migrating to PHP 5

Use DOMElement->getAttribute().

## See Also

DomElement->get_attribute_node()
DomElement->set_attribute()

Prev | Home | Next
DomElement->get_attribute_node() | Up | DomElement->get_elements_by_tagname()